Name:           python-pyasn1
Version:        0.1.9
Release:        %mkrel 2
Summary:        ASN.1 types and codecs
License:        BSD
Group:          Development/Python
Url:            http://pyasn1.sf.net/
Source:         http://pypi.python.org/packages/source/p/pyasn1/pyasn1-%{version}.tar.gz
BuildRequires:  pkgconfig(python)
BuildRequires:  python-setuptools
BuildArch:      noarch

%rename pyasn1

%description
This is an implementation of ASN.1 types and codecs in Python programming
language. It has been first written to support particular protocol (SNMP) but
then generalized to be suitable for a wide range of protocols based on ASN.1
specification.

%package -n python3-pyasn1
Summary:        ASN.1 types and codecs
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-setuptools

%description -n python3-pyasn1
This is an implementation of ASN.1 types and codecs in Python 3 programming
language. It has been first written to support particular protocol (SNMP) but
then generalized to be suitable for a wide range of protocols based on ASN.1
specification.

%prep
%setup -q -n pyasn1-%{version}
cp -a . %{py3dir} 

%build
%py2_build

pushd %{py3dir} 
%py3_build
popd

%install
pushd %{py3dir}
%py3_install
popd

%py2_install


%check
# PYTHONPATH is required because the the tests expect python{,3}-pyasn1
# to be installed.
PYTHONPATH="$RPM_BUILD_ROOT%{python2_sitelib}:$PYTHONPATH" %{__python2} test/suite.py

pushd %{py3dir}
PYTHONPATH="$RPM_BUILD_ROOT%{python3_sitelib}:$PYTHONPATH" %{__python3} test/suite.py
popd

%files
%doc CHANGES.txt LICENSE.txt README.txt THANKS.txt TODO.txt doc/*.html
%{python2_sitelib}/*

%files -n python3-pyasn1
%doc CHANGES.txt LICENSE.txt README.txt THANKS.txt TODO.txt doc/*.html
%{python3_sitelib}/*


%changelog
* Sat Feb 20 2016 umeabot <umeabot> 0.1.9-2.mga6
+ Revision: 972279
- Mageia 6 Mass Rebuild

* Sun Nov 01 2015 philippem <philippem> 0.1.9-1.mga6
+ Revision: 897118
- update to 0.1.9

* Wed Oct 07 2015 ovitters <ovitters> 0.1.8-2.mga6
+ Revision: 887125
- rebuild for new python3

* Sun Sep 13 2015 fwang <fwang> 0.1.8-1.mga6
+ Revision: 878899
- 0.1.8

* Wed Oct 15 2014 umeabot <umeabot> 0.1.7-11.mga5
+ Revision: 749407
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.1.7-10.mga5
+ Revision: 729365
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.1.7-9.mga5
+ Revision: 688233
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 0.1.7-8.mga5
+ Revision: 628919
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.1.7-7.mga4
+ Revision: 543927
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.1.7-6.mga4
+ Revision: 499136
- Rebuild to add different pythonegg provides for python 2 and 3

* Sat Oct 05 2013 philippem <philippem> 0.1.7-5.mga4
+ Revision: 491655
+ rebuild (emptylog)

* Wed Aug 07 2013 philippem <philippem> 0.1.7-4.mga4
+ Revision: 464308
- add rename directive to remove pyasn1 package

* Wed Jul 31 2013 philippem <philippem> 0.1.7-3.mga4
+ Revision: 461858
- Add Python 3

* Tue Jul 30 2013 fwang <fwang> 0.1.7-2.mga4
+ Revision: 461245
- should be noarch package

* Tue Jul 30 2013 spuhler <spuhler> 0.1.7-1.mga4
+ Revision: 461240
- upgrade to ver 1.6.7
- changed the build to use macros

* Sun Feb 17 2013 spuhler <spuhler> 0.1.6-5.mga3
+ Revision: 398840
- bumped rel

* Sat Feb 16 2013 spuhler <spuhler> 0.1.6-4.mga3
+ Revision: 398700
- removed Obsoletes:  python-asn1 <= 0.1.6-1
  corrected spelling Provides: python-pyasn1 = %%{version}

* Sat Feb 09 2013 spuhler <spuhler> 0.1.6-3.mga3
+ Revision: 397625
- bumped rel
- updated Obsoletes version number

* Fri Feb 08 2013 spuhler <spuhler> 0.1.6-2.mga3
+ Revision: 395278
- replaced BuildRequires: python-distribute with python-pkg-resources

* Sat Jan 26 2013 spuhler <spuhler> 0.1.6-1.mga3
+ Revision: 392328
- cleaned up spec file
- imported package python-pyasn1


* Fri Jan 18 2013 michael@stroeder.com
- updated to upstrean release 0.1.6
  Revision 0.1.6
- The compact (valueless) way of encoding zero INTEGERs introduced in
  0.1.5 seems to fail miserably as the world is filled with broken
  BER decoders. So we had to back off the *encoder* for a while.
  There's still the IntegerEncoder.supportCompactZero flag which
  enables compact encoding form whenever it evaluates to True.
- Report package version on debugging code initialization.
  Revision 0.1.5
- Documentation updated and split into chapters to better match
  web-site contents.
- Make prettyPrint() working for non-initialized pyasn1 data objects. It
  used to throw an exception.
- Fix to encoder to produce empty-payload INTEGER values for zeros
- Fix to decoder to support empty-payload INTEGER and REAL values
- Fix to unit test suites imports to be able to run each from
  their current directory
* Fri Jul 27 2012 michael@stroeder.com
- updated to upstrean release 0.1.4
- includes fix needed by python-ldap's module ldap.syncrepl
  Most important changes include:
  * A built-in de/serialization debugging facility added
  * Package versioning added (pyasn1.__version__)
  * Leading sub-OIDs overflow condition handled
  * REAL type exponent encoding implemented properly at BER codec
  * Boolean BER decoder fixed to allow arbitrary payload
  * Leading 0x80 octet now handled properly by DER/CER/DER
  ObjectIdentifier decoder
* Wed Apr 25 2012 michael@stroeder.com
- updated to upstrean release 0.1.3
  From upstream CHANGES:
- Include class name into asn1 value constraint violation exception.
- Fix to OctetString.prettyOut() method that looses leading zero when
  building hex string.
* Wed Apr 18 2012 saschpe@suse.de
- Fix obsoletes for python-asn1 instead
* Tue Apr 17 2012 dmueller@suse.com
- remove self-obsoletes
* Fri Mar 23 2012 michael@stroeder.com
- updated to upstrean release 0.1.2
  From upstream CHANGES:
- Fix to __long__() to actually return longs on py2k
- Fix to OctetString.__str__() workings of a non-initialized object.
- Fix to quote initializer of OctetString.__repr__()
- Minor fix towards ObjectIdentifier.prettyIn() reliability
- ObjectIdentifier.__str__() is aliased to prettyPrint()
- Exlicit repr() calls replaced with '%%r'
* Thu Dec  8 2011 coolo@suse.com
- fix license to be in spdx.org format
* Tue Nov  8 2011 highwaystar.ru@gmail.com
- updated to 0.1.1
  * Hex/bin string initializer to OctetString object reworked
  (in a backward-incompatible manner)
  * Fixed float() infinity compatibility issue (affects 2.5 and earlier)
  * Fixed a bug/typo at Boolean CER encoder
  * Major overhawl for Python 2.4 -- 3.2 compatibility
  +  get rid of old-style types
  + drop string module usage
  + switch to rich comparation
  + drop explicit long integer type use
  + map()/filter() replaced with list comprehension
  + apply() replaced with */**args
  + switched to use 'key' sort() callback function
  + support both __nonzero__() and __bool__() methods
  + modified not to use py3k-incompatible exception syntax
  + getslice() operator fully replaced with getitem()
  + dictionary operations made 2K/3K compatible
  + base type for encoding substrate and OctetString-based types
    is now 'bytes' when running py3k and 'str' otherwise
  + OctetString and derivatives now unicode compliant.
  + OctetString now supports two python-neutral getters: asOcts() & asInts()
  + print OctetString content in hex whenever it is not printable otherwise
  + in test suite, implicit relative import replaced with the absolute one
  + in test suite, string constants replaced with numerics
* Wed Aug 31 2011 saschpe@gmx.de
- Packaged documentation
* Wed Aug 31 2011 saschpe@suse.de
- Initial version, obsoletes 'python-asn1'
